
Foreman - Feature #34280

Add `ip_include?` method to IPAM::Base that uses `IPAddr#include?` method

01/18/2022 10:35 AM - Jan Matusz

Status: Closed   

Priority: Normal   

Assignee: Jan Matusz   

Category: Network   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9036

  

Description

Related to: https://github.com/theforeman/foreman_discovery/pull/545

We need to be able to validate whether user sourced IP set in the form is included in the available subnet.

Initially we just ran `.include?` on a Range object generated through `subnet_range` method, however, this is extremely inefficient

when used on huge subnets (specifically in this case, an IPv6 range inclusion check timed out).

This brought `IPAddr#include` to the spotlight.

Associated revisions

Revision 337ac271 - 01/18/2022 04:06 PM - Jan Matusz

Fixes #34280 - Add `ip_include?` method to `IPAM::Base`

History

#1 - 01/18/2022 10:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9036 added

#2 - 01/18/2022 04:06 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 01/18/2022 05:01 PM - Jan Matusz

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|337ac271d8a87039bfc709bed0749fdbd9651e7e.

#4 - 02/15/2022 01:16 PM - Amit Upadhye

- Category set to Network
